package cz.moneta.test.dsl.cagw.api;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.CaGwBuilder;
import cz.moneta.test.dsl.cagw.api.cbl.CblBuilder;
import cz.moneta.test.dsl.cagw.api.v1.V1Builder;
import cz.moneta.test.dsl.cagw.api.v2.V2Builder;
import cz.moneta.test.dsl.cagw.api.v4.V4Builder;

public class ApiBuilder extends CaGwBuilder {

    public ApiBuilder(Harness harness) {
        super(harness);
    }

    public CblBuilder cbl() {
        return new CblBuilder(harness);
    }

    public V1Builder v1() {
        return new V1Builder(harness);
    }

    public V2Builder v2() {
        return new V2Builder(harness);
    }

    public V4Builder v4() {
        return new V4Builder(harness);
    }

}